---
title: Toolbar of the MDN editor
slug: MDN/Editor/Basics/Toolbar
tags:
  - Beginner
  - MDN Meta
  - Reference
  - editor
---
<div>{{MDNSidebar}}</div><p class="summary">The editor's toolbar offers features that let you adjust the appearance and flow of the article as you work. This article describes each of the controls in the toolbar.</p>

<p>There are two rows of buttons and a third row that shows the context of HTML elements leading up to where you are. In the screenshot below, for example, you're writing inside a top-level <a href="/en-US/docs/Web/HTML/Element/p" title="The HTML &lt;p&gt; element represents a paragraph of text."><code>&lt;p&gt;</code></a> block.</p>

<p><img alt="Screenshot of the toolbar, with labels for the button groups" src="https://mdn.mozillademos.org/files/15269/toolbar-labeled.png" style="border-style: solid; border-width: 2px; float: right; height: 142px; width: 725px;">The toolbar's buttons are divided into nine groups. Let's look at each; we will examine the buttons in each group in order left-to-right.</p>

<ul>
 <li><a href="#Document_group">Document</a></li>
 <li><a href="#Edit_functions_group">Edit functions</a></li>
 <li><a href="#Text_processing_group">Text processing</a></li>
 <li><a href="#Display_group">Display</a></li>
 <li><a href="#Inline_styles_group">Inline styles</a></li>
 <li><a href="#Hyperlinking_group">Hyperlinking</a></li>
 <li><a href="#Custom_styles_group">Custom styles</a></li>
 <li><a href="#Blocks_group">Blocks</a></li>
 <li><a href="#Lists_and_flow_group">Lists and flow</a></li>
 <li><a href="#Media_group">Media</a></li>
</ul>

<h2 id="Document_group">Document group</h2>

<p>The document group provides options for document-level manipulations.</p>

<dl>
 <dt>Source</dt>
 <dd>The <strong>Source</strong> button lets you toggle between editing using the WYSIWYG interface and editing in raw HTML source mode. We <em>strongly</em> request that you try to avoid using source mode, as it's very easy to wind up with content that doesn't match our style guide or, worse, doesn't work right at all. Currently, though, the editor has some quirks that make it impossible to do certain things without resorting to source mode. See <a href="/en-US/docs/MDN/Contribute/Editor/Source_mode">Using source mode in the MDN editor</a> for details on how to use source mode and the dos and don'ts involved.</dd>
 <dt>Publish</dt>
 <dd>Just like the main <strong>Publish</strong> button.</dd>
</dl>

<div class="note">
<p>If you try to save your edit and your changes are rejected as invalid, but the content is in fact appropriate for MDN, you should <a href="mailto:mdn-spam-watch@mozilla.com?subject=MDN%3A%20Content%20Rejection%20Appeal&amp;body=%3CDescribe%20the%20content%20you%20were%20trying%20to%20save%20and%20where%20you%20were%20trying%20to%20place%20it.%3E">email the writing team</a> for help getting your content posted.</p>
</div>

<dl>
 <dt>Preview</dt>
 <dd>Just like the main <strong>Preview</strong> button.</dd>
</dl>

<h2 id="Edit_functions_group">Edit functions group</h2>

<p>The edit functions are similar to their corresponding options on a typical application's <strong>Edit</strong> menu.</p>

<dl>
 <dt>Paste</dt>
 <dd>Pastes the contents of the system clipboard into the editor pane.</dd>
 <dt>Paste as plain text</dt>
 <dd>Opens a dialog into which you can paste text; the text has all styling stripped from it so that you don't inadvertently introduce unwanted styles into the site content. Once you've pasted your text, you can (optionally) make changes, then click a button to insert it into the article you're working on.</dd>
 <dd>
 <div class="note">
 <p>When pasting content into MDN, please be aware that, if pasting styled content (including, for example, syntax highlighting in code being copied from another site), you may be bringing along unwanted and unneeded additional styles or classes. Please be careful not to do this; if necessary, review your edit in source mode to remove these unnecessary styles and classes (or check it before pasting, or use the "Paste as plain text" option instead).</p>
 </div>
 </dd>
 <dt>Undo</dt>
 <dd>Undoes the last operation.</dd>
 <dt>Redo</dt>
 <dd>Redoes the last undone operation.</dd>
</dl>

<h2 id="Text_processing_group">Text processing group</h2>

<p>The text processing group provides options for manipulating text.</p>

<dl>
 <dt>Find</dt>
 <dd>Opens the <strong>Find</strong> dialog box in "Find" mode, which lets you search your document for a specified string.</dd>
 <dt>Replace</dt>
 <dd>Opens the <strong>Find</strong> dialog box in "Find and replace" mode, allowing you to find strings and replace them with new ones.</dd>
</dl>

<p>The <strong>Find</strong> and <strong>Replace</strong> buttons both take you to the same dialog box, which offers several configurable options for finding and optionally replacing text.</p>

<dl>
 <dt>Spell Checker</dt>
 <dd>This button opens a menu with several items:
 <dl>
  <dt>Enable SCAYT/Disable SCAYT</dt>
  <dd>Activates or deactivates Spell Check As You Type (SCAYT)</dd>
  <dt>Options</dt>
  <dd>If SCAYT is activated, this opens the SCAYT dialog box to the tab containing options you can configure for SCAYT.</dd>
  <dt>Languages</dt>
  <dd>If SCAYT is activated, this opens the SCAYT dialog box to the Languages tab, where you can select what language to use for spell-checking dictionary.</dd>
  <dt>Dictionaries</dt>
  <dd>If SCAYT is activated, this opens the SCAYT dialog box to the Dictionaries tab, where you can specify a personal dictionary to use with SCAYT.</dd>
  <dt>About SCAYT</dt>
  <dd>If SCAYT is activated, this opens the SCAYT dialog box to the About tab.</dd>
  <dt>Check Spelling</dt>
  <dd>This opens a Spell Checker dialog box, in which you can check spelling in batch mode on an entire document. You can use the Grammar tab to check for grammar mistakes, or use the Thesaurus tab to search for synonyms of words in the document.</dd>
 </dl>
 </dd>
</dl>

<h2 id="Display_group">Display group</h2>

<p>The display group provides options that affect the display of the editor interface.</p>

<dl>
 <dt>Maximize</dt>
 <dd>This button causes the editor interface (that is, the toolbar and the edit box) to take over your entire browser window, giving you as much space as possible to write.</dd>
 <dt>Show blocks</dt>
 <dd>This button causes outlines to appear around block elements in your document. This can be a handy way to check the document structure without going into source mode.</dd>
</dl>

<h2 id="Inline_styles_group">Inline styles group</h2>

<p>The inline styles group contains common inline styles that you may wish to apply to chunks of text.</p>

<dl>
 <dt>Bold</dt>
 <dd>Toggles <strong>boldface</strong> text mode. It creates a {{htmlelement("strong")}} element.</dd>
 <dt>Italic</dt>
 <dd>Toggles <em>italic</em> text mode. It creates an {{htmlelement("em")}} element.</dd>
 <dt>Underline</dt>
 <dd>Toggles <u>underlined</u> text mode. It creates a {{htmlelement("u")}} element.</dd>
 <dt>Strike through</dt>
 <dd>Toggles <s>strikethrough</s> mode. It creates an {{htmlelement("s")}} element.</dd>
 <dt>Subscript</dt>
 <dd>Toggles subscript mode. It creates a {{htmlelement("sub")}} element.</dd>
 <dt>Superscript</dt>
 <dd>Toggles superscript mode. It creates a {{htmlelement("sup")}} element. Please note that we don't use footnotes on MDN, so you should rarely if ever need this button.</dd>
 <dt>Remove format</dt>
 <dd>Removes the current inline styles from the selection.</dd>
 <dt>Code</dt>
 <dd>Toggles <code>code </code>mode. It creates a {{htmlelement("code")}} element. This is used for inline presentation of variable names, function names, object names, filenames, and so forth.</dd>
</dl>

<h2 id="Hyperlinking_group">Hyperlinking group</h2>

<p>The hyperlinking group provides options related to hyperlinking.</p>

<dl>
 <dt>Link</dt>
 <dd>Creates a new link. This button opens the link editor dialog, which is covered in <a href="/en-US/docs/MDN/Contribute/Editor/Links#Using_the_toolbar">Links using the toolbar</a>.</dd>
 <dt>Unlink</dt>
 <dd>Removes the link at the insertion point.</dd>
 <dt>Anchor</dt>
 <dd>Creates an anchor at the insertion point. Note that you don't need an anchor to link to a heading; the MDN editor automatically creates an <code>{{htmlattrxref("id")}}</code> for each heading that is the same as the heading text, with spaces replaced by underscores. For example, the heading of this section has an <code>id</code> whose value is <code>Hyperlinking_group</code>.</dd>
 <dt>Create a redirect</dt>
 <dd>Inserts a redirect from this page to another. See <a href="/en-US/docs/MDN/Contribute/Editor/Redirects#Creating_redirects">Creating redirects</a> for further information.</dd>
</dl>

<h2 id="Custom_styles_group">Custom styles group</h2>

<p>The <strong>Styles</strong> button is a drop-down menu offering a selection of special formatting options.</p>

<h3 id="Block_styles">Block styles</h3>

<dl>
 <dt>None</dt>
 <dd>Removes all styling from the current block.</dd>
 <dt>Note box</dt>
 <dd>Creates a note box, as seen below. You should always start a note box with "<strong>Note:</strong>" in bold letters.</dd>
</dl>

<div class="note">
<p>This is a note box.</p>
</div>

<dl>
 <dt>Warning box</dt>
 <dd>Creates a warning box, as seen below. These should always begin with "<strong>Warning:</strong>" in bold letters.</dd>
</dl>

<div class="warning">
<p><strong>Warning:</strong> This is a warning box.</p>
</div>

<dl>
 <dt>Two columns</dt>
 <dd>Makes the selected text or the current block two columns instead of one, on browsers that support it.</dd>
 <dt>Three columns</dt>
 <dd>Makes the selected text or the current block three columns instead of one, on browsers that support it.</dd>
 <dt>Article summary</dt>
 <dd>This style places its contents in a specially formatted call-out block that should contain a summary of the article. See the first paragraph of this article for an example.</dd>
 <dt>Syntax box</dt>
 <dd>Creates a syntax box, such as the one shown below. You need to use the "PRE" button as well, to create a <a href="/en-US/docs/Web/HTML/Element/pre" title='The HTML &amp;amp;amp;amp;amp;amp;lt;pre> element represents preformatted text. Text within this element is typically displayed in a non-proportional ("monospace") font exactly as it is laid out in the file. Whitespace inside this element is displayed as typed.'><code>&lt;pre&gt;</code></a> block inside it. You probably won't see the yellow box until you do.</dd>
 <dt>Hidden when reading</dt>
 <dd>Creates a block that is visible only in edit mode, not when normally displayed. This is not the same as an HTML comment, which is visible only in source mode.</dd>
</dl>

<h3 id="Inline_styles">Inline styles</h3>

<dl>
 <dt>SEO summary</dt>
 <dd>This special style is used to indicate a sentence or two that should be used as the article's summary for SEO purposes. It's also used by macros that automatically construct landing pages. If you don't specify this, MDN automatically uses the first paragraph of your article, but sometimes that's not the optimal text (or it's too much text), so this lets you override that.</dd>
</dl>

<h2 id="Blocks_group">Blocks group</h2>

<p>The blocks group contains options for other block styles, some of which are standard HTML, and some of which are unique to Kuma.</p>

<dl>
 <dt>Blockquote</dt>
 <dd>Inserts a blockquote. <strong>Please do not use this</strong>. Blockquotes are not part of our standard style guide, and this button will be removed in the near future.</dd>
 <dt>Preformatted Text</dt>
 <dd>Inserts a {{htmlelement("pre")}} block, or turns the current block into one. All code samples or examples of text output to a terminal should be in one of these blocks.</dd>
 <dt>Headings</dt>
 <dd>The heading buttons let you insert a heading. Click one of these buttons to create a new heading at the corresponding depth. By default, H2 through H4 are included in the table of contents, but you can change this, as described in the <a href="/en-US/docs/MDN/Contribute/Editor/Basics/Page_info">page info box</a>.</dd>
 <dt>Syntax highlighter</dt>
 <dd>The syntax highlighter lets you choose a language for which to apply syntax highlighting to the {{htmlelement("pre")}} (preformatted text) block; if you're not already in such a block, this will create one for you.  Choose the language used in the  block, and it will be highlighted appropriately.</dd>
 <dt>Insert Code Sample Template</dt>
 <dd>This button is used by the live sample system to help you quickly insert a new live sample. You don't need to use it, but it's there for convenience. See <a href="/en-US/docs/MDN/Contribute/Structures/Live_samples#Using_the_live_sample_system">Using the live sample system</a> for details on using this and other live sample features.</dd>
 <dt>Insert Code Sample iFrame</dt>
 <dd>Inserts into the document the appropriate macro to display a given live sample. See <a href="/en-US/docs/MDN/Contribute/Structures/Live_samples#Using_the_live_sample_system">Using the live sample system</a> for details on using this and other live sample features.</dd>
</dl>

<h2 id="Lists_and_flow_group">Lists and flow group</h2>

<p>The block structures group provides options to create or modify standard block structures.</p>

<dl>
 <dt>Insert/remove numbered list</dt>
 <dd>Creates or removes a numbered list from your article. Once you're working in a numbered list, each time you press return, you will start a new bullet. The <kbd>Tab</kbd> key can be used to indent a level, and <kbd>Shift</kbd> + <kbd>Tab</kbd> will outdent a level. Pressing return on an empty bullet will exit numbered list mode. Right-clicking the list offers the option to open the properties dialog for the list; the properties include the style of the numbers (numbers, letters, Roman numerals, etc, and what number to start with).</dd>
 <dt>Insert/remove bulleted list</dt>
 <dd>Creates or removes a bulleted list from your article. Once you're working in a bulleted list, each time you press return, you will start a new bullet. The <kbd>Tab</kbd> key can be used to indent a level, and <kbd>Shift</kbd> + <kbd>Tab</kbd> will outdent a level. Pressing return on an empty bullet will exit bullet list mode. Right-clicking on the list lets you choose to edit the list's properties (specifically, the shapes of the bullets).</dd>
 <dt>Definition List</dt>
 <dd>Creates a new definition list. Definition lists consist of a series of titles and definitions (this list you're reading right now is an example).</dd>
 <dt>Definition Term</dt>
 <dd>Creates a new term block in a definition list. If you're not already editing a definition list, a new one is created for you. Pressing return after entering a definition title automatically starts you editing a definition description.</dd>
 <dt>Definition Value</dt>
 <dd>Creates a new value block in a definition list. Pressing return on a description line automatically starts a new title. Pressing return twice will exit definition list mode.</dd>
 <dt>Decrease indent</dt>
 <dd>Shifts the indentation level to the left once; this is the same as pressing  <kbd>Shift</kbd> + <kbd>Tab</kbd> while in a list.</dd>
 <dt>Increase indent</dt>
 <dd>Shifts the indentation level to the right once; this is the same as pressing tab while in a list.</dd>
 <dt>Text direction left-to-right</dt>
 <dd>Sets LTR as the current text typing direction. Used only when covering localization/internationalization topics. For example, if you are working in an Arabic document, you might use this to display some English text.</dd>
 <dt>Text direction right-to-left</dt>
 <dd>Sets RTL as the current text typing direction. Used only when covering localization/internationalization topics. For example, if you are working in an English text, you might use this to display some Arabic text.</dd>
</dl>

<h2 id="Media_group">Media group</h2>

<p>The media group provides options for displaying or formatting media.</p>

<dl>
 <dt>Image</dt>
 <dd>Inserts a new image into the article. See <a href="/en-US/docs/MDN/Contribute/Editor/Images">Images</a>  for details on how to use this option.</dd>
 <dt>Table</dt>
 <dd>Inserts a table into the article. See <a href="/en-US/docs/MDN/Contribute/Editor/Tables">Tables</a> for more information on tables in articles.</dd>
 <dt>Embed YouTube Video</dt>
 <dd>Opens a dialog box in which you can specify a YouTube URL. From this information it creates a call to the EmbedYouTube macro. This is a secure way to embed video content.</dd>
 <dt>Insert MathML based on (La)TeX</dt>
 <dd>Opens a dialog box in which you can insert code in TeX or LaTeX. This code will be converted into <a href="/en-US/docs/Web/MathML">MathML</a> and inserted into the document in a {{htmlelement("math")}} block.</dd>
</dl>

